loupe (50.0-0ubuntu2) resolute; urgency=medium

  * d/source/options: Set reduced list of tar-ignore, fix FTBFS.
    A vendored crate started shipping a .gitignore file. DPKG silently drops all
    .gitignore files from the generated tarballs, and the build would fail because
    cargo expects to be able to validate all of the crate's files via checksum.
    We shall override the default list of excluded files so that .gitignore files
    are not dropped from the debian.tar.xz tarball.
    This list is taken from /usr/share/perl5/Dpkg/Source/Package.pm, where just
    .gitignore got removed.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 27 Mar 2026 13:19:23 +0100

loupe (50.0-0ubuntu1) resolute; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 50.0
  * Refresh patches and fix conflicts:
    - patch-meson-build.diff (disabled)
    - relax-gettext-sys.diff (disabled)
  * Update vendored Rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

  [ Alessandro Astone ]
  * debian/rules: Don't dh_clean debian/missing-sources
  * debian: Do not force Rust 1.92 - we now have new enough rust-defaults,
    even newer in fact (1.93), so let's use that.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 27 Mar 2026 11:17:03 +0800

loupe (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release 50.beta
  * Bump the libadwaita-1 requirement to 1.8.0
  * Refresh patches and fix conflicts:
    - patch-meson-build.diff (disabled)
    - relax-gettext-sys.diff (disabled)
    - Make-background-color-switching-algorithm-more-aggressive.patch
  * Drop upstreamed patches:
    - update-deps.patch
  * debian/control: Update Vcs- fields to point to the Ubuntu repo.
  * Update vendored Rust crates
  * Update XS-Vendored-Sources-Rust field
  * debian: Force using Rust 1.92 which 50.beta requires, because default Rust
    in Resolute is still 1.88.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 13 Feb 2026 17:38:23 +0800

loupe (49.2-1ubuntu1) resolute; urgency=medium

  * Merge with debian (LP: #2141180). Remaining changes:
    - Vendor the rust crates
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * d/patches, d/rules: Drop unnecessary patch-meson-build.diff
  * d/rules: Use gbp-export-orig in vendoring target
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 12:55:41 +0100

loupe (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sun, 04 Jan 2026 22:35:35 +0100

loupe (49.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gnome (LP: #2126647)

  [ Matthias Geiger ]
  * Cherry-pick upstream patch to build with newer libadwaita (Closes: #1124175)
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Wed, 31 Dec 2025 17:21:39 +0100

loupe (49.1-1ubuntu1) resolute; urgency=medium

  [ Alessandro Astone ]
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

  [ Jeremy Bícha ]
  * Add Build-Depends: dh-sequence-gnome (LP: #2126647)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 16:00:35 +0100

loupe (49.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for new upstream
  * d/control: Drop Rules-Require-Root field

 -- Matthias Geiger <werdahias@debian.org>  Fri, 24 Oct 2025 21:26:41 +0200

loupe (49.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * Automate XS-Vendored-Sources-Rust handling
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 12:04:03 +0200

loupe (49.0-1) unstable; urgency=medium

  * New upstream release
  * d/p: Drop cherrypicked upstream patch, applied in new release
  * d/patches: Refresh remaining patches
  * d/control: Update B-D with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Sat, 13 Sep 2025 18:08:00 +0200

loupe (49~rc-3ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * Rebase d/p/glycin-use-unstable-config-feature.diff
  * Update glycin crate to fix FTBFS on 32-bit architectures

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 14 Sep 2025 14:27:31 +0200

loupe (49~rc-3) unstable; urgency=medium

  * Upload to unstable
  * d/control: Remove artificial pinning
  * d/patches: Cherry-pick latest upstream commit to build with newer glycin

 -- Matthias Geiger <werdahias@debian.org>  Mon, 08 Sep 2025 17:48:27 +0200

loupe (49~rc-2ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - Vendor the rust crates
    - d/p/patch-meson-build.diff: Fix cp command path
    - Add d/p/Make-background-color-switching-algorithm-more-aggressive.patch
  * d/p: Refresh background color patch
  * Update vendored rust crates
  * Update XS-Vendored-Sources-Rust field

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Sep 2025 15:42:36 +0200

loupe (49~rc-2) experimental; urgency=medium

  * d/p/patch-meson.diff: Fix to only patch CARGO_HOME
  * d/control: Bump dependency on glycin-loaders

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 18:54:20 +0200

loupe (49~rc-1) experimental; urgency=medium

  * New upstream release
  * d/control: Update B-D with debcargo
  * Refresh patches
  * d/control: Add artifical pinning on librust-libseccomp to fix build

 -- Matthias Geiger <werdahias@debian.org>  Wed, 03 Sep 2025 18:54:17 +0200

loupe (49~beta-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2120186, LP: #2120829)
  * d/p/patch-meson-build.diff: Rebase patch
  * Update vendored rust crates
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * d/control: Depends on glycin-loaders ABI version 2
  * d/p: Try to improve background color for transparent images
    (Closes: #1092943)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 18 Aug 2025 13:56:00 +0200

loupe (48.1-3ubuntu1) questing; urgency=medium

  * Vendor the rust crates for Ubuntu (as part of the MIR request)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jul 2025 15:13:01 +0200

loupe (48.1-3) unstable; urgency=medium

  * d/rules: Fix dh-cargo-built-using call
  * d/copyright: Update copyright info

 -- Matthias Geiger <werdahias@debian.org>  Mon, 28 Apr 2025 08:04:33 +0200

loupe (48.1-2) unstable; urgency=medium

  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 17:57:46 -0400

loupe (48.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Require glycin >= 2.1.1
  * d/patches: Refresh for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Sat, 12 Apr 2025 17:37:46 +0200

loupe (48.0-2) unstable; urgency=medium

  * d/control: Bump libadwaita version to 1.7.0 (Closes: #1100917)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Mar 2025 22:23:43 +0100

loupe (48.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump minumum glycin dependency
  * d/patches: Refresh for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Fri, 14 Mar 2025 21:44:42 +0100

loupe (48~rc-2) unstable; urgency=medium

  * d/patches: Fix patch-meson-build to not override the app suffix
  * d/control: Drop duplicate cargo/rustc dependency

 -- Matthias Geiger <werdahias@debian.org>  Thu, 06 Mar 2025 15:28:19 +0100

loupe (48~rc-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update build-dependencies
  * Bump S-V to 4.7.2; no changes needed
  * d/patches: Refresh

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 01:11:47 +0100

loupe (48~beta-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 17:51:58 +0100

loupe (48~beta-1) experimental; urgency=medium

  * New upstream release
    - This provides basic image editing functionality (Closes: #924404)
  * d/control: Update dependencies with debcargo
  * Refresh patch for new upstream
  * Add patch to relax gettext-sys dependency
  * Add patch to fix app suffix
  * d/control: Require glycin-loader 1.2~beta
  * d/control: Improve description
  * d/watch: Update to catch beta/rc releases, too

 -- Matthias Geiger <werdahias@debian.org>  Mon, 10 Feb 2025 00:02:48 +0100

loupe (47.4-1) unstable; urgency=medium

  * New upstream release
  * Set parallel=4 for dh_auto_install for armhf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:48:27 -0500

loupe (47.2-2) unstable; urgency=medium

  [ Matthias Geiger ]
  * Stop patching env-logger dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 Jan 2025 16:29:42 -0900

loupe (47.2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glycin to 2.0.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 26 Nov 2024 06:50:50 -0500

loupe (47.1-2) unstable; urgency=medium

  * d/rules: Disable lto correctly via DEB_BUILD_OPTIONS

 -- Matthias Geiger <werdahias@debian.org>  Thu, 24 Oct 2024 10:29:21 +0200

loupe (47.1-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Simplify, use only default dpkg include
  * d/rules: Simplify disabling of lto on 32-bit arches (Closes: #1085885)
  * d/copyright: Update for new upstream release
  * d/p/patch-meson-build.diff: Skip doctests in Cargo.toml, too

 -- Matthias Geiger <werdahias@debian.org>  Wed, 23 Oct 2024 19:52:40 +0200

loupe (47.0-3) unstable; urgency=medium

  * Further increase build test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Sep 2024 09:57:13 -0400

loupe (47.0-2) unstable; urgency=medium

  * d/rules: disable lto on armel/hf
  * d/rules: Increase timeout for tests on slow arches

 -- Matthias Geiger <werdahias@debian.org>  Mon, 23 Sep 2024 22:50:19 +0200

loupe (47.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1081756, #1082185)
  * d/control: Updated build dependencies for new upstream release
  * d/patches: Refresh for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sun, 22 Sep 2024 16:00:28 +0200

loupe (46.2-2) unstable; urgency=medium

  * Stop patching futures-lite (Closes: #1078650)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 17 Aug 2024 12:43:22 +0200

loupe (46.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1071876, #1063682)
  * Bump Standards-Version to 4.7.0; no changes needed
  * Updated my mail address in d/copyright, d/control
  * d/p/patch-meson-build: refresh for new upstream
  * Updated dependencies in d/control from Cargo.toml for new upstream
  * d/p/relax-deps.diff: refresh for new upstream
  * d/control: depend on glycin-loaders 1.0.1
  * Updated d/copyright for new upstream release
  * d/rules: Explicitly build for x11, too
  * Updated d/watch for Gitlab API change

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Aug 2024 14:14:06 +0200

loupe (45.3-2) unstable; urgency=medium

  * Enable sandboxing for glycin-loaders; this was wrongfully enabled

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 08 Feb 2024 14:16:52 +0100

loupe (45.3-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Feb 2024 15:43:36 -0500

loupe (45.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1050851)

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 02 Sep 2023 18:47:14 +0100
